#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	CRC
Summary:	String::CRC - Perl interface to Cyclic Redundancy Check generation
Summary(pl.UTF-8):	String::CRC - perlowy interfejs do generowania CRC
Name:		perl-String-CRC
Version:	1.0
Release:	17
License:	Public Domain
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/String/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ba07f022b5abf869a7b73f98f8abcf9f
URL:		http://search.cpan.org/dist/String-CRC/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
String::CRC module calculates CRC of various lenghts.

%description -l pl.UTF-8
Moduł String::CRC oblicza CRC różnej długości.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/String/CRC.pm
%dir %{perl_vendorarch}/auto/String/CRC
%attr(755,root,root) %{perl_vendorarch}/auto/String/CRC/CRC.so
%{_mandir}/man3/*
%changelog
* Thu Feb 12 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-String-CRC.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f67349c
- release 17 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 51a7396
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 6174cb9
- rebuild for perl 5.20
- release 16 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 47f27d3
- rebuild with perl 5.18.0
- release 15 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 868635d
- rel 14

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 31e8325
- release 13

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9237ae3
- release 12

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> c029c98
- release 11

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 56bc8f9
- generic URL, informative summaries

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8001bca
- rel 10

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> c330ac9
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6d48c87
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1a3ed72
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 9544421
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 43a5695
- rel. 9

* Thu May 06 2004 ankry <ankry@pld-linux.org> e9aa520
- fixed perl-devel BR

* Sat May 01 2004 ankry <ankry@pld-linux.org> 4c00a75
- tests added, license fix

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> d4d304d
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> c3c8b21
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 544c437
- massive attack: source-md5

